io.vertx.rxjava3.openapi.validation

## Class ValidatableResponse

- java.lang.Object
- - io.vertx.rxjava3.openapi.validation.ValidatableResponse

-     public class ValidatableResponse
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ValidatableResponse>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatableResponse(Object delegate)`
    `ValidatableResponse(ValidatableResponse delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidatableResponse` | `create(int statusCode)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Buffer body, String contentType)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Map<String,String> headers)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Map<String,String> headers, Buffer body, String contentType)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `boolean` | `equals(Object o)`
    `ResponseParameter` | `getBody()`
    `String` | `getContentType()`
    `ValidatableResponse` | `getDelegate()`
    `Map<String,ResponseParameter>` | `getHeaders()`
    `int` | `getStatusCode()`
    `int` | `hashCode()`
    `static ValidatableResponse` | `newInstance(ValidatableResponse arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ValidatableResponse> __TYPE_ARG

  - ### Constructor Detail

    - #### ValidatableResponse

          public ValidatableResponse(ValidatableResponse delegate)

    - #### ValidatableResponse

          public ValidatableResponse(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ValidatableResponse getDelegate()

    - #### create

          public static ValidatableResponse create(int statusCode)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
      Returns:
        a `ValidatableResponse` object

    - #### create

          public static ValidatableResponse create(int statusCode,
                                                   Map<String,String> headers)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
        `headers` - The related headers
      Returns:
        a `ValidatableResponse` object

    - #### create

          public static ValidatableResponse create(int statusCode,
                                                   Buffer body,
                                                   String contentType)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
        `body` - The related body
        `contentType` - The related content type
      Returns:
        a `ValidatableResponse` object

    - #### create

          public static ValidatableResponse create(int statusCode,
                                                   Map<String,String> headers,
                                                   Buffer body,
                                                   String contentType)

      Creates a new `ValidatableResponse` object based on the passed parameters.

      Parameters:
        `statusCode` - The related status code
        `headers` - The related headers
        `body` - The related body
        `contentType` - The related content type
      Returns:
        a `ValidatableResponse` object

    - #### getHeaders

          public Map<String,ResponseParameter> getHeaders()

      Returns:
        the header parameters.

    - #### getBody

          public ResponseParameter getBody()

      Returns:
        the body.

    - #### getContentType

          public String getContentType()

    - #### getStatusCode

          public int getStatusCode()

    - #### newInstance

          public static ValidatableResponse newInstance(ValidatableResponse arg)

Copyright © 2024 Eclipse. All rights reserved.